Bug 147662 - NetworkManager should send a hostname in DHCP packets
NetworkManager should send a hostname in DHCP packets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 01:05 EST by David Baron
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 13:41:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Baron 2005-02-10 01:05:23 EST
Description of problem:  There doesn't seem to be a way for
NetworkManager to send a hostname (message type 12) in DHCP packets. 
(The normal network scripts allow this using DHCP_HOSTNAME in
/etc/sysconfig/network-scripts/ifcfg-*, but don't do so by default.) 
This is useful for looking at DHCP tables (on the DHCP server) and
figuring out who has what address without having to use MAC addresses.
 The obvious thing to send would be the output of gethostname(2). 
Other operating systems and even some other Linux distros seem to do
something like this, judging from the DHCP client table I'm looking at.

NetworkManager's dhcp code is already capable of sending the field if
something fills it in (see fill_host_and_class_id in
dhcpcd/build_msg.c), except nothing ever fills in the host_name member
to something non-empty.

Version-Release number of selected component (if applicable):
NetworkManager-0.3.3-1.cvs20050119.2.fc3

How reproducible: every time

Steps to Reproduce:
1. Look at DHCP client table on router
  
Actual results:  Shows garbage string or empty string associated with
my MAC address.

Expected results:  Shows my hostname.
Comment 1 Dan Williams 2005-02-10 01:30:52 EST
Fair enough, will see what I can do.
Comment 2 Dan Williams 2005-02-18 13:41:18 EST
Fixed in CVS, and should be in Rawhide as well.

Note You need to log in before you can comment on or make changes to this bug.